Contents
SDLC Link Service

  Configuring an SDLC Link Service


Configuring an SDLC Link Service

An SDLC link service enables SNA Server to communicate with host, peer, or downstream computers through full-duplex or half-duplex synchronous modems, over switched or leased telecommunications lines.

For specific information about using IBM SDLC and MPCA adapters and Microgate SDLC adapters, see the Microsoft SNA Server Installation Guide.

To configure an SDLC link service

1	To change the title for this service, in the Service Title box, delete the default, and type the new title.

You can use as many as 40 characters for the title.

2	In the Card Type box, select the card you will be using.

Note  If the card is an IBM SDLC, IBM MPCA, or Microgate card, or any other SDLC card that does not contain a coprocessor, and you want to use a transmission speed greater than 9600 baud, select half-duplex and not full-duplex in SNA Server Admin. Adapters that lack a coprocessor cannot handle full-duplex transmission at high transmission speeds.

3	Under Line Type, select the appropriate option:

Leased

Switched: Server-Stored Number

Select this option only if the SDLC adapter to which the modem is attached has a built-in serial (COM) port (like the SDLC adapters from Microgate). For more information, see:

Requirements for Using Server-Stored Numbers

Routines Used with Server-Stored Numbers

Switched: Modem-Stored Number

Switched: Manual Dial

4	If you would like the line to use constant RTS, select the Constant RTS check box. See Note About Constant RTS.

5	If the Dialer Settings button is included in the dialog box, you can choose it and configure dialer settings.

6	Choose Continue.

Setup copies the required files, and the Link Service Configuration dialog box appears, listing the entry for this link service.


 SDLC

Synchronous Data Link Control. IBM's implementation of a bit-oriented serial protocol with a standardized frame reader and block check sequence. SDLC applies to synchronous transmissions; it organizes information in rigidly structured units called frames.


Leased

Choose this option for a dedicated telecommunications line. The line can be a point-to-point leased line or a multidrop leased line.


Switched: Server-Stored Number

Choose this option if the modem can accept a phone number from SNA Server, that is, if the SDLC adapter to which the modem is attached has a built-in serial (COM) port (like the SDLC adapters from Microgate).


Requirements for Using Server-Stored Numbers

In order to accept a phone number from SNA Server, your modem must be set up so that it will:

Accept dial commands in ASCII (eight data bits, no parity bit, one stop bit).

Not dial when the DTR signal is raised.

Set Clear to Send (CTS) and Data Set Ready (DSR) to on when ready to accept dial commands.

Set DSR to off after accepting a dial command.

Set DSR to on again when (and only when) the dialed connection is made.

Change to synchronous mode after the dial-up has completed.

Change back to dial-command mode if Data Terminal Ready (DTR) is dropped and raised again.


Routines Used with Server-Stored Numbers

When SNA Server is sending a phone number to a modem, it ignores modem responses and holds the modem interface signals Select Standby and DTR to off.

The dialing attempt initiated by SNA Server is assumed to have failed if one of the following occurs:

DSR stays on after the dial string has been sent.

The connection time-out expires before DSR comes on to indicate that the call is connected.

When SNA Server creates a dial string to send to a modem, it uses the outgoing command string supplied in Setup as a base, and then appends the Dial Data (phone number) configured in SNA Server Admin, followed by a carriage-return line-feed sequence.


Switched: Modem-Stored Number

Choose this option for a modem that stores a phone number. Make sure that the modem is configured to dial the number when the Data Terminal Ready (DTR) is raised, in conformance with the IEEE RS 232 Modem Specification for line 108.1.


Switched: Manual Dial

Choose this option if you will dial the phone number. SNA Server will prompt you when it is time to dial the number.


constant RTS

Constant Request To Send. An option that causes the SDLC adapter to be in constant readiness to send data. This option is required if a line is to be used for full duplex. It cannot be used with multidrop.

If an SDLC adapter does not use Constant RTS, before the adapter can send data, it must raise RTS and then wait for the remote end to raise CTS (Clear To Send). In contrast, an adapter that uses Constant RTS holds RTS high so CTS is always high, and the wait is eliminated.


Note About Constant RTS

For higher throughput, choose Constant RTS whenever you can. It is generally used on leased lines and is often available on modems for switched connections as well.

However, do not select this option when configuring this link service for use by a multidrop connection. (Multidrop connections allow multiple SDLC connections to connect to the same physical wire.)


switched SDLC line

A standard dial-up telephone line used for synchronous data link control (SDLC) connections.


leased SDLC line

A telecommunications line committed solely to use by synchronous data link control (SDLC) connections. The line may be used for point-to-point connections or multidrop connections.


Configuring Dialer Setup

In the Microgate Dialer Setup dialog box, specify options as follows:

COM Port

Select the number of the COM port; for example, for COM1, select 1.

If you are adding a COM port by adding this SDLC card, and you select a new number for that COM port, Setup responds by allowing you to access the appropriate dialog box for configuring the COM port within Windows NT.

The range is from None through 254. The default is None.

Baud Rate

Select the rate of transmission. The range includes relevant values from 75 through 115200. The default is 9600.

Incoming String

Type the string to be sent to the modem when an incoming call is detected. The default is AT&F&C1&S1&D3&Q1Q1S0=1. This string will be appropriate in most situations. For more information, see Command String Examples.

Outgoing String

Type the string to be sent to the modem when an outgoing call is detected. The default is AT&F&C1&S1&D3&Q1Q1S0=0DT. This string will be appropriate in most situations. For more information, see Command String Examples.


Command String Examples

The elements in the command string AT&F&C1&S1&D3&Q1Q1S0=0DT have the following effects:

AT is the standard modem command prefix.

&F resets the modem to the factory defaults.

&C1 makes the modem track the status of the Carrier Detect (CD) line.

&S1 makes the modem raise the Data Set Ready (DSR) line after it has dialed.

&D3 makes the modem reset when the Data Transmit Ready (DTR) line drops.

&Q1 makes the modem come up in command mode and switch to synchronous mode when it has dialed. For some modems, this parameter is &M1.

Q1 turns off modem result codes.

S0=0 turns off auto-answer mode, so that the modem is set for outgoing calls.

DT dials the number following it, using tone dialing (DP indicates pulse dialing, used with older exchanges).

The elements in the command string AT&F&C1&S1&D3&Q1Q1S0=1 have the same effects as in the preceding list, except that S0=1 tells the modem to answer the phone after one ring.